package ch.zhaw.projekt2.turnierverwaltung;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

public class Player extends Person implements Participant{

    private LocalDate dateOfBirth;

    public Player(String firstName, String name, String phoneNumber, String dateOfBirth) throws InvalidNameException, InvalidPhoneNumberException {
        super(firstName, name, phoneNumber);
        setDateOfBirth(dateOfBirth);
    }

    public LocalDate getDateOfBirth() {
        return dateOfBirth;
    }

    public String getFormatedDateOfBirth(){
        try{
            DateTimeFormatter formatter = DateTimeFormatter.ofPattern("dd.MM.yyyy");
            return dateOfBirth.format(formatter);
        } catch (Exception e) {
           //todo handle and logging
            return "";
        }
    }

    public void setDateOfBirth(String dateOfBirth) {
        String[] date = dateOfBirth.split("\\.");
        this.dateOfBirth = LocalDate.of(Integer.valueOf(date[2]), Integer.valueOf(date[1]), Integer.valueOf(date[0]));
    }

    @Override
    public boolean equals(Participant participant) {
        return getClass().equals(participant.getClass()) && toString().toLowerCase().equals(participant.toString().toLowerCase());
    }
}
