package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import ch.zhaw.projekt2.turnierverwaltung.Tournament;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.layout.HBox;

public class GameScheduleController extends FXController {
    
    @FXML
    private Button createScheduleBtn;

    @FXML
    private Button editLocBtn;

    @FXML
    private Button editParticipantBtn;

    @FXML
    private Button closeTournamentBtn;

    @FXML
    private HBox hBoxCenter;

    @FXML
    void createNewSchedule(ActionEvent event) {
        try {
            getTournamentDecorator().createNewGameSchedule();
        } catch (Tournament.NumberOfParticipantInvalidException e) {
            //TODO Method in FactoryDecorater to show msg
            e.printStackTrace();
        }
    }

    @FXML
    void openPlacesFormular(ActionEvent event) {
        removeListener();
        getFactoryDecorator().openPlacesFormular();
    }

    @FXML
    void openParticipantFormular(ActionEvent event) {
        removeListener();
        getFactoryDecorator().openParticipantFormular();
    }

    @FXML
    void closeTournament(ActionEvent event) {
        removeListener();
        getFactoryDecorator().openTournamentList();
    }

    @Override
    public void loadContent() {
        getFactoryDecorator().loadGameTree(hBoxCenter, getTournamentDecorator());
    }
}

